
local MakePlayerCharacter = require "prefabs/player_common"


local assets = {

        Asset( "ANIM", "anim/player_basic.zip" ),
        Asset( "ANIM", "anim/player_idles_shiver.zip" ),
        Asset( "ANIM", "anim/player_actions.zip" ),
        Asset( "ANIM", "anim/player_actions_axe.zip" ),
        Asset( "ANIM", "anim/player_actions_pickaxe.zip" ),
        Asset( "ANIM", "anim/player_actions_shovel.zip" ),
        Asset( "ANIM", "anim/player_actions_blowdart.zip" ),
        Asset( "ANIM", "anim/player_actions_eat.zip" ),
        Asset( "ANIM", "anim/player_actions_item.zip" ),
        Asset( "ANIM", "anim/player_actions_uniqueitem.zip" ),
        Asset( "ANIM", "anim/player_actions_bugnet.zip" ),
        Asset( "ANIM", "anim/player_actions_fishing.zip" ),
        Asset( "ANIM", "anim/player_actions_boomerang.zip" ),
        Asset( "ANIM", "anim/player_bush_hat.zip" ),
        Asset( "ANIM", "anim/player_attacks.zip" ),
        Asset( "ANIM", "anim/player_idles.zip" ),
        Asset( "ANIM", "anim/player_rebirth.zip" ),
        Asset( "ANIM", "anim/player_jump.zip" ),
        Asset( "ANIM", "anim/player_amulet_resurrect.zip" ),
        Asset( "ANIM", "anim/player_teleport.zip" ),
        Asset( "ANIM", "anim/wilson_fx.zip" ),
        Asset( "ANIM", "anim/player_one_man_band.zip" ),
        Asset( "ANIM", "anim/shadow_hands.zip" ),
        Asset( "SOUND", "sound/sfx.fsb" ),
        Asset( "SOUND", "sound/wilson.fsb" ),
        Asset( "ANIM", "anim/beard.zip" ),

		-- Don't forget to include your character's custom assets!
        Asset( "ANIM", "anim/ika.zip" ),
		Asset( "ANIM", "anim/ghost_ika_build.zip" ),
}
local prefabs = {}

local function common_postinit(inst)
    inst.avatar_tex   = "avatar_ika.tex"
    inst.avatar_atlas = "images/avatars/avatar_ika.xml"
     
    inst.avatar_ghost_tex   = "avatar_ghost_ika.tex"
    inst.avatar_ghost_atlas = "images/avatars/avatar_ghost_ika.xml"
end
	
local start_inv =
{
    "spear",
}

local function RestoreNightvision(inst)

	inst:DoTaskInTime(3, function(inst) 
	inst.Light:SetRadius(2)
	inst.Light:SetFalloff(.5)
	inst.Light:SetIntensity(.8)
	inst.Light:SetColour(182/255,255/255,255/255)
		end, inst)
end


local function master_postinit(inst)
	
	-- choose which sounds this character will play
	inst.soundsname = "wilson"

	-- a minimap icon must be specified
	inst.MiniMapEntity:SetIcon( "musume.tex" )

	-- todo: Add an example special power here.
	inst.components.health.maxhealth = 75
	inst.components.combat.damagemultiplier = 2.5
	inst.components.hunger:SetMax(110)
	inst.components.sanity:SetMax(100)
	inst:AddComponent("healthRegen")
	inst.components.hunger:SetRate(TUNING.WILSON_HUNGER_RATE * 1)
	inst.components.sanity.dapperness = (TUNING.DAPPERNESS_SMALL * 1)
	inst.components.eater.ignoresspoilage = true
	inst.components.eater.monsterimmune = true
	inst.components.health.fire_damage_scale = 3
	inst.components.locomotor.walkspeed = (TUNING.WILSON_WALK_SPEED * 1.25)
	inst.components.locomotor.runspeed = (TUNING.WILSON_RUN_SPEED * 1.25)
	inst.components.sanity.night_drain_mult = ( TUNING.WENDY_SANITY_MULT * 0.9 )
	inst.components.sanity.neg_aura_mult = 0.95
	inst.components.temperature.hurtrate = (TUNING.WILSON_HEALTH * 0.5 / TUNING.FREEZING_KILL_TIME) * 0
	
	
	inst.components.talker.colour = Vector3(255/255, 51/255, 51/255)
	inst:ListenForEvent("respawnfromghost", RestoreNightvision)
end



return MakePlayerCharacter("ika", prefabs, assets, common_postinit, master_postinit, start_inv)
